TAAS - Feature #171

ADM/ACM Adjustment
02/25/2023 10:40 AM - Anil KV

Status: New Changes Coding Done Start date: 07/20/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: ADM/ACM Adjustment

Description

Coding ADM/ACM Adjustment

History

#1 - 06/07/2023 06:21 PM - Anil KV
ADM/ACM Adjustment GUI Changes

—> Date Mandatory

—> Department Mandatory

-> Type Mandatory

—> Add Document Status like Posting status - before post
-> Add - File No, Enquiry No - like Receipt

-> Add attachment and Print buttons

-> Party Section

— Account Mandatory

- Amount Mandatory

-> In List

— Width reset - based on data

- Add Profit:0.00 in Grid Title

— Remove Account column

— Adjustment Amount Column Editable

- Last Colun - Delete and View Details Icon

—> Search Popup

- Remove Adjustment Party, Settlement, Batch No
- Add ~ in last - Doc No, Ticket No

— ADM, ACM Check box Disable - Tick based on Master Type
— increase height - List

- Add Search button top Right

— ADM Unadjusted, ACM Unadjusted Account (Based on check box)

#2 - 06/26/2023 05:27 PM - Anil KV

- Assignee changed from Junaid M to travvise Admin

#3 - 07/20/2023 01:50 PM - Anil KV
Select SQL

SELECT tr.pk_transaction_id,
tr.fk_branch_id,
tr.fk_department_id,
tr.fk_ledger_id,
tr.dat_transaction,
tr.vhr_ledg_currency,
tr.dbl_ledg_cur_roe,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,
tr.dbl_ledg_cur_outstanding,
tr.vhr_base_currency,
tr.dbl_base_cur_debit,
tr.dbl_base_cur_credit,
FROM transaction.tbl_transaction tr
LEFT JOIN document.tbl_documents AS doc
ON doc.pk_documents_id= tr.fk_documents_id

tr.dbl_base_cur_outstanding,
tr.vhr_cons_currency,
tr.dbl_cons_cur_roe,
tr.dbl_cons_cur_debit,
tr.dbl_cons_cur_credit,
tr.dbl_cons_cur_outstanding,
tr.vhr_reference,
tr.txt_narration,
doc.pk_documents_id,
doc.vhr_document_no

WHERE tr.sin_posting_status =1

AND tr.sin_transaction_status
AND dbl_ledg_cur_outstanding > 0

AND tr.sin_document_status = 1

ORDER BY tr.dat_transaction

tr.
tr.

42
43

sin_record_type = 42 —-- ADM
sin_record_type = 43 -- ACM
= ADM Unadjusted
= ACM Unadjusted

#4 - 07/25/2023 11:39 AM - Junaid M

- Assignee changed from travvise Admin to Aparna Mathew

#5 - 07/25/2023 11:41 AM - Aparna Mathew

- Status changed from New to Coding Started

- Start date changed from 02/25/2023 to 07/20/2023

- % Done changed from 0 to 40

#6 - 07/27/2023 02:53 PM - Aparna Mathew

- Status changed from Coding Started to Particialy Coding Done

#7 - 07/27/2023 02:53 PM - Aparna Mathew

- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#8 - 08/05/2023 03:06 PM - Seema Mathew

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By set to Seema Mathew

ISSUE FOUNDED

1.NOT SHOWING MAIN LEDGER IN ACCOUNTS
2.ERROR WHILE SAVE (Index was out of range. Must be non-negative and less than the size of the collection. (Parameter 'index’)

#9 - 08/16/2023 05:33 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#10 - 08/21/2023 05:15 PM - Seema Mathew

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED-

1.SHOWING ERROR WHILE ADDING ADM/ACM ADJUSTMENT

#11 - 08/25/2023 06:10 PM - unnikannan S
ISSUE FOUNDED

1.ADD ACT US CLIENT ACCOUNTS WHILE CHOOSING CUSTOMER

#12 - 09/04/2023 12:17 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#13 - 09/06/2023 10:55 AM - unnikannan S
TESTING DONE

#14 - 09/20/2023 04:36 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED****

1.WHILE ADDING REMARK DEFAULT ITS COME TO REFERENCE NUMBER
2.CALCULATION ERROR IN ADM/ACM ADJUSTMENT

#15 - 09/20/2023 05:28 PM - unnikannan S

Seema Mathew wrote in #note-14:
ISSUE FOUNDED****

1.WHILE ADDING REMARK DEFAULT ITS COME TO REFERENCE NUMBER
2.ERROR WHILE ADDING ADM/ACM ADJUSTMENT

#16 - 09/26/2023 04:41 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 10/19/2023 05:59 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.CHANGE IN CUURENCY CODE AFTER SAVE AND ADDING THE DOC NO
2.ADD COA ACCOUNTS IN PROFIT,LOSS TAB

#18 - 10/20/2023 05:29 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 10/27/2023 12:13 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD IN GRID CODE LOCATION = CENTRE

#20 - 10/28/2023 01:24 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#21 - 03/11/2024 10:46 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CONSIDER MATCHED AMOUNT IN LIST
2.DEFAULT CURRENCY AS QAR

#22 - 03/11/2024 04:42 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 03/18/2024 10:40 AM - unnikannan S
TESTING DONE

#24 - 03/18/2024 10:41 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.BLOCKING DELETION
2.ADJUST GAP BETWEEN REDSTAR AND AMOUNT

#25 - 03/19/2024 11:20 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 04/08/2024 12:12 PM - unnikannan S
TESTING DONE

#27 - 04/08/2024 12:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Error While Loading Saved Data (42703: column tf.int_record_ref_doc_sequence_no does not exist)
#28 - 04/12/2024 06:21 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 06/07/2024 12:10 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Add Validation For Doc Date

#30 - 06/07/2024 06:28 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#31 - 06/08/2024 10:12 AM - unnikannan S
TESTING DONE
#32 - 07/13/2024 01:28 PM - unnikannan S

- File clipboard-202407131328-ymecu.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#33 - 09/24/2024 12:19 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#34 - 10/25/2024 05:47 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Error While Loading Already Saved Doc

#35 - 10/25/2024 05:47 PM - unnikannan S
- File clipboard-202410251747-quxnw.png added

#36 - 10/26/2024 10:04 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 10/28/2024 10:06 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#38 - 01/02/2025 03:37 PM - Arathy PS

- Assignee changed from Aparna Mathew to Greeshma S

#39 - 03/13/2025 10:54 AM - Arathy PS
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

Set Document Id in Posting

Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#40 - 03/13/2025 06:15 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
